DSpace 7 Kurulumuna Genel Bakış

Kuruluma Genel Bakış

Fatih Güneş

DSpace 7 Kurulumuna Genel Bakış


Arka Uç (Sunucu API) Kurulumu

Arka Uç Gereksinimleri

  • UNIX benzeri işletim sistemi veya Microsoft Windows

  • Java JDK 11 (OpenJDK veya Oracle JDK)

  • Apache Maven 3.3.x veya üzeri (Java oluşturma aracı)

  • Maven Proxy'sini Yapılandırma

  • Apache Ant 1.10.x veya üstü (Java oluşturma aracı)

  • İlişkisel Veritabanı (PostgreSQL veya Oracle)

  • PostgreSQL 11.x, 12.x veya 13.x (pgcrypto kurulu olarak)

  • Oracle 10g veya üstü

  • Apache Solr 8.x (tam metin dizini/arama hizmeti)

  • Servlet Engine (Apache Tomcat 9, Jetty, Caucho Resin veya eşdeğeri)

  • (Opsiyonel) Konum Bazlı İstatistikler için Şehir Veritabanına IP

  • Git (kod sürümü kontrolü)


Arka Uç Kurulumu

Ön Uç (Kullanıcı Arayüzü) Kurulumu

Ön Uç Gereksinimleri

  • UNIX benzeri işletim sistemi veya Microsoft Windows

  • Node.js (v12.x veya v14.x)

  • İplik (v1.x)

  • PM2 (veya Node.js uygulamaları için başka bir Süreç Yöneticisi) (isteğe bağlı, ancak Üretim için önerilir)

  • DSpace 7.x Arka Uç (yukarıya bakın)

Ön Uç Kurulumu

Sıradaki ne?


Genel Kurulum Sorunları

Bir hatayı giderin veya ayrıntılı hata mesajlarını bulun

"CORS hatası" veya "Geçersiz CORS isteği"

"Erişim reddedildi. Geçersiz CSRF Simgesi" yazan bir mesajla "403 Yasak" hatası

Kendinden İmzalı SSL Sertifikası kullanmak, Ön Uç'un Arka Uç'a erişememesine neden olur

REST API'm HTTPS altında çalışıyor, ancak "bağlantı" URL'lerinden bazıları HTTP'ye mi geçiyor?

ant fresh_install çalıştırdığınızda veritabanı hataları oluşur